# Text Recognizer App

An Android app that can recognize text from an image with the help of Machine Learning-Kit .

# Download

Go to [Releases](https://github.com/krishnachaitanya0107/TextRecognizerApp/releases) to download the latest APK

# Features

- Detects text in images Using the ML Kit Text Recognition API
- Uses the CameraX Jetpack support library to show a viewfinder and display the camera preview 
- Can Pick an image from gallery for text recognition
- Provides a Flashlight button to turn on/off the device flashlight if needed
- Extracted text can be copied to clipboard or can be shared via any another text sharing app available on the user's device
- Handles device rotation as well 

# Screenshots
<p align="center">
  <img src="./docs/screenshots/Splash Screen.jpg" alt="Splash Screen" width="144" height="320" margin="30">
  <img src="./docs/screenshots/Text Extraction.jpg" alt="Text Extraction Screen" width="320" height="144" margin="30">
  <img src="./docs/screenshots/Copied to clipboard.jpg" alt="Copied to clipboard Screen" width="320" height="144" margin="30">
</p>

# Tools & Technology Used

- Android Studio & Kotlin
- ML Kit Text Recognition API
- CameraX and viewFinder
- Flashlight
- Lottie Animations
- Pick Image from gallery

# Contributing

If you have a suggestion that would make this project better in any way , please fork the repo and create a pull request.
You can also simply open an issue with the tag "feature-request". Any and all contributions you make are greatly appreciated . 
Don't forget to give the project a star⭐⭐! Thanks again!

Fork the Project
- Create your Feature Branch (git checkout -b feature/AmazingFeature)
- Commit your Changes (git commit -m 'Add some AmazingFeature')
- Push to the Branch (git push origin feature/AmazingFeature)
- Open a Pull Request

PLEASE MAKE SURE TO REMOVE THE .idea/ files before pushing a commit & Every PR will be reviewed before merging.

# References

- ML kit Codelabs - https://codelabs.developers.google.com/codelabs/mlkit-android#0
- ML kit Documentation - https://developers.google.com/ml-kit/vision/text-recognition/android#kotlin
- Lottie animation - https://lottiefiles.com/38287-scanning-searching-for-data
- Image Picker Library - https://github.com/Dhaval2404/ImagePicker

# Featured On

https://androidexample365.com/text-recognizer-app-using-the-ml-kit/
